Bug 1278401 - Test Connection button should be available for Operator in Runtime view
Test Connection button should be available for Operator in Runtime view
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.4.7
Assigned To: Bartek Spyrko-Smietanko
Pavel Jelinek
: Regression, Reopened
: 1290282 (view as bug list)
Depends On:
Blocks: 1274291 eap647-payload
  Show dependency treegraph
 
Reported: 2015-11-05 06:58 EST by Pavel Jelinek
Modified: 2017-01-17 06:57 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:57:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-856 Minor Open DataSources - use test-connection-in-pool op for determining verify button privilegues 2017-12-05 23:59 EST

  None (edit)
Description Pavel Jelinek 2015-11-05 06:58:08 EST
Description of problem:
Compared to EAP 6.4.4 this button is missing in Connection tab of datasource configuration in domain mode. This flaw was probably introduced by BZ#1243175 fix.

Version-Release number of selected component (if applicable):
HAL 2.5.11.Final-redhat-1
Comment 2 Heiko Braun 2015-11-06 03:59:56 EST
To clarify: 

That button should not be available under Configuration>Profile>... in domain mode. The underlying operation requires an active server to be chosen that uses the specific profile that contains the datasource. These requirements are only given under Runtime > Monitor > Datasources.

The fix for this issue (BZ1243175) is only applicable to standalone mode. As a side effect it also removed the test-connection button (BZ1278401).

I would suggest to proceed as follows:

- Within the scope of standalone servers this issue (BZ1243175) doesn't cause regresssion and can be closed as verified.
- The issue that describes it as regression (BZ1278401) can be closed as not a bug
Comment 8 Pavel Jelinek 2015-11-12 09:48:53 EST
The scope of this bugzilla changed to track the issue that 
'Tests Connection' button is not available for Operator in Runtime > System Status > Subsystems > Datasources > (XA) DATA SOURCES regardless if the mode is domain or standalone.
Comment 15 Chao Wang 2015-12-13 22:20:54 EST
*** Bug 1290282 has been marked as a duplicate of this bug. ***
Comment 17 Dominik Pospisil 2016-01-04 05:46:17 EST

*** This bug has been marked as a duplicate of bug 1243175 ***
Comment 22 Michael Cada 2016-03-03 10:34:59 EST
Verified on EAP 6.4.7.CP.CR2
Comment 23 Petr Penicka 2017-01-17 06:57:52 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.